package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the Apple DEP device serial number information.
 * The variables in this class are not camel case.
 * Because this class is mapped to a JSON object using Gson and the variable names are mapped as
 * keys for the key value pairs in the JSON object.
 * Therefore to make a valid JSON body for Apple DEP requests the variables are declared as per
 * the documentation of Apple DEP
 */
@ApiModel(value = "DeviceSerials", description = "This class carries string array of " +
                                                       "device serial numbers.")
public class DeviceSerials implements Serializable{

    private static final long serialVersionUID = 478236109080237590L;

    @ApiModelProperty(
            name = "devices",
            value = "An array of string providing device serial numbers.",
            required = false)
    private String[] devices;

    public String[] getDevices() {
        return devices;
    }

    public void setDevices(String[] devices) {
        this.devices = devices;
    }
}
