package org.wso2.carbon.device.mgt.ios.dep.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * This class represents the pushed profile responses of each device.
 * The variables in this class are not camel case.
 * Because JSON object returned as a response from Apple DEP portal is directly mapped to this
 * class using Gson. So the variable names are mapped as keys for the key value pairs in the
 * JSON object.
 * The variables are declared as per the documentation of Apple DEP.
 */
@ApiModel(value = "ProfileAssignmentStatus", description = "This class carries information " +
                                                       "related to pushed profile responses " +
                                                       "of each device.")
public class ProfileAssignmentStatus implements Serializable {

    private static final long serialVersionUID = 487230912785645541L;

    @ApiModelProperty(
            name = "device_serial",
            value = "Serial number of the device.",
            required = false)
    private String device_serial;

    @ApiModelProperty(
            name = "profile_assignment_status",
            value = "Profile assignment status for the device.",
            required = false)
    private String profile_assignment_status;

    public String getSerialNumber() {
        return device_serial;
    }

    public void setSerialNumber(String serial_number) {
        this.device_serial = serial_number;
    }

    public String getProfileAssignmentStatus() {
        return profile_assignment_status;
    }

    public void setProfileAssignmentStatus(String profile_assignment_status) {
        this.profile_assignment_status = profile_assignment_status;
    }
}
